using GTANetworkAPI;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Server.Inventory.Interfaces;
using ReallifeGamemode.Server.WeaponDeal;

namespace ReallifeGamemode.Server.Inventory.Items
{
  public abstract class WeaponDealItem : IWeaponDealItem
  {
    public abstract int Id { get; }
    public abstract string Name { get; }
    public abstract string Description { get; }
    public abstract int Gewicht { get; }
    public abstract string Einheit { get; }
    public abstract uint Object { get; }
    public abstract int Price { get; }

    public bool noTransfer(Player client, UserItem uItem, FactionVehicle fVeh)
    {
      if (!fVeh.GetOwners().Contains(client.GetUser().FactionId ?? 0))
        return false;
      if (fVeh.Model != WeaponDealManager.WEAPON_DEAL_GANG_VEHICLE_HASH)
        return false;

      return true;
    }
  }
}
